{% extends "layout.html.twig" %}

{% block title %}{{ chapter.title }}{% endblock %}

{% block content %}
<div id="chapter-container">
    <div  class="col-lg-8 col-lg-offset-2 chapter">
        <div class=" panel panel-primary">
            <div class="panel-heading">
                <h1>{{ chapter.title }}</h1>
            </div>
            <div class="panel-body">
                <p>{{ chapter.content }}</p>
            </div>
            <div class="panel-footer">
                <div class="panel_footer_left">
                    <span class="bold">Auteur: </span>{{ chapter.author.firstname }}  {{ chapter.author.lastname }}
                </div>
                <div class="panel_footer_right">
                    <span class="bold">Publié le :</span>  {{ chapter.createdAt | date('d/m/Y à H:i:s') }}
                </div>
            </div>
        </div>


        <h3>Comments</h3>
        {% for comment in comments %}
            <div class=" panel panel-info">
                <div class="panel-heading">
                    <p>Commentaire de {{ comment.author.username }}</p>
                </div>
                <div class="panel-body">
                    <p>{{ comment.content }}</p>
                </div>
                <div class="panel-footer">
                    <div class="panel_footer_left">
                        <span class="bold">Publié le :</span>  {{ chapter.createdAt | date('d/m/Y à H:i:s') }}
                    </div>
                    <div class="panel_footer_right">
                        <span class="bold">Modifié le :</span> {{ comment.modifiedAt | date('d/m/Y à H:i:s') }}
                    </div>
                </div>
            </div>
        {% else %}
            No comments yet.
        {% endfor %}

        <h3>Add a comment</h3>
        {% if commentForm AND is_granted('IS_AUTHENTICATED_FULLY') %}
            {{ form_start(commentForm) }}
            <div class="form-group">
                {{ form_errors(commentForm.content) }}
                {{ form_widget(commentForm.content, { 'attr':  {
                    'rows': '4',
                    'class': 'form-control',
                    'placeholder': 'Enter your comment'
                }}) }}
            </div>
            <div class="form-group">
                <input type="submit" class="btn btn-primary" value="Publish comment" />
            </div>
            {{ form_end(commentForm) }}
            {% for flashMessage in app.session.flashbag.get('success') %}
                <div class="alert alert-success">
                    {{ flashMessage }}
                </div>
            {% endfor %}
        {% else %}
            <a href="{{ path('login') }} "><button><span class="glyphicon glyphicon-log-in"></span> Log in</button></a> to add comments.
        {% endif %}
    </div>
</div>
{% endblock %}
